###  | #  |

Public Types | Public Member Functions | List of all members
channel_plus_t< Channel1, Channel2, ChannelResult > Struct Template Reference

Arithmetic operation of addition of two channel values. More...

`#include <channel_numeric_operations.hpp>`

## Public Types
using | ChannelRef1 = typename channel_traits< Channel1 >::const_reference
using | ChannelRef2 = typename channel_traits< Channel2 >::const_reference

## Public Member Functions
auto | operator() (ChannelRef1 ch1, ChannelRef2 ch2) const -> ChannelResult

## Detailed Description

template<typename Channel1, typename Channel2, typename ChannelResult>
struct boost::gil::channel_plus_t< Channel1, Channel2, ChannelResult >

Arithmetic operation of addition of two channel values.

Note
  This is a generic implementation; user should specialize it for better performance.

## Member Function Documentation

## ◆ operator()()

auto operator() | ( | ChannelRef1 | ch1,
|  | ChannelRef2 | ch2
| ) |  | const -> ChannelResult
| inline

Parameters

  ch1 | - first of the two addends (augend).
  ch2 | - second of the two addends.

The documentation for this struct was generated from the following file:

- channel_numeric_operations.hpp